Browse Source

guix-package: Use `guile-final', not `guile-2.0' to build the environment.

* guix-package.in (guix-package): Use either %BOOTSTRAP-GUILE or
  GUILE-FINAL.
version-0.8.3
Ludovic Courtès 10 years ago
parent
commit
87009d8aa1
  1. 8
      guix-package.in

8
guix-package.in

@ -46,7 +46,8 @@ exec ${GUILE-@GUILE@} -L "@guilemoduledir@" -l "$0" \
#:use-module (srfi srfi-34)
#:use-module (srfi srfi-37)
#:use-module (distro)
#:use-module (distro packages guile)
#:use-module ((distro packages base) #:select (guile-final))
#:use-module ((distro packages bootstrap) #:select (%bootstrap-guile))
#:export (guix-package))
(define %store
@ -461,9 +462,8 @@ Install, remove, or upgrade PACKAGES in a single transaction.\n"))
(parameterize ((%guile-for-build
(package-derivation %store
(if (assoc-ref opts 'bootstrap?)
(@@ (distro packages base)
%bootstrap-guile)
guile-2.0))))
%bootstrap-guile
guile-final))))
(process-actions opts))))))
;; Local Variables:

Loading…
Cancel
Save